Bug 866561 - complete version string is not available at boot time
complete version string is not available at boot time
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: grub2 (Show other bugs)
23
Unspecified Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Brian Lane
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-15 11:54 EDT by John Reiser
Modified: 2015-10-28 19:34 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-28 19:34:00 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Reiser 2012-10-15 11:54:14 EDT
Description of problem: The complete version string is not available anywhere when grub2 is running at boot time.  As demonstrated by Bug 866275, it is absolutely necessary to know the complete version string in order to deal with bugs.  Currently the best available information is "GNU GRUB  version 2.00" which is displayed in the banner immediately after a 'c' command.  Instead, at least "2.00-9.fc18" must be discoverable.  The best place to put this is in the title of the very first splash screen.  Also, the command-line session should have a "version" command which gives the same information.


Version-Release number of selected component (if applicable):
grub2-2.00-9.fc18.x86_64

How reproducible: every time


Steps to Reproduce:
1. boot
2. type 'c' to get command-line session
3.
  
Actual results: Splash screen does not show any version string at all.  Banner of command-line session displays only "GNU GRUB  version 2.00" which omits the "-9.fc18".  Command-line session has no 'version' command.


Expected results: Complete version string such as "2.00-9.fc18" is displayed on very first splash screen, and in banner of command-line session, and when queried by 'version' command of command-line session.


Additional info:
Comment 1 Mads Kiilerich 2012-10-15 12:31:43 EDT
There is 2-3 parts of this:

The boot loader version, as installed by grub2-install (or directly in grub2-efi)

The configuration file version, the grub2-mkconfig version that generated grub.cfg

Perhaps also the grubby versions that has been patching the config file.


Showing all of these in the menu header is probably too much information, so it would perhaps be better to not show any version information there.
Comment 2 Brian Lane 2012-10-15 12:35:50 EDT
It should do the same thing I had the old grub do, show the full rpm version.
Comment 3 Steve Tyler 2012-11-02 09:28:40 EDT
(In reply to comment #2)
> It should do the same thing I had the old grub do, show the full rpm version.

Excellent suggestion.
Comment 4 collura 2013-07-19 21:01:56 EDT
currently checked:

  grub2-1:2.00-23.fc19.x86_64

dont see version info anywhere at all.

1) i like the comment#2 idea of full rpm version in title of selection menu screen and command prompt screen so its always easily available.

2) also like the extra info suggested by comment#2.
if the extra grub/config_file_version/grubby version information requested by comment#1 would crowd screen titlebar area then that could be part of the display by a version command in the command prompt.
Comment 5 collura 2013-08-02 20:36:49 EDT
Re: comment#4 "dont see version info anywhere at all"

swapped drive into another unit and the standard header showed up there
(also showed up when swapped drive back to original machine but only once) 
so 'not at all' must be video driver issue.

still agree with rest of comment that need more descriptive info available.
Comment 6 Fedora End Of Life 2013-12-21 04:07:37 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Jan Kurik 2015-07-15 10:58:12 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23

Note You need to log in before you can comment on or make changes to this bug.